﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.KnowledgeBase;
using Hotline.KnowledgeBase.Notifies;
using MediatR;

namespace Hotline.Application.Knowledge
{
    public class GetKnowledgeInfoNotifyHandler : INotificationHandler<GetKnowledgeInfoNotify>
    {
        private readonly IKnowledgeDomainService _knowledgeDomainService;

        public GetKnowledgeInfoNotifyHandler(IKnowledgeDomainService knowledgeDomainService)
        {
            _knowledgeDomainService = knowledgeDomainService;
        }

        /// <summary>Handles a notification</summary>
        /// <param name="notification">The notification</param>
        /// <param name="cancellationToken">Cancellation token</param>
        public async Task Handle(GetKnowledgeInfoNotify notification, CancellationToken cancellationToken)
        {
            await _knowledgeDomainService.KnowledgePvIncreaseAsync(notification.Knowledge, cancellationToken);
        }
    }
}
